<?php

    //validamos si la session no ha sido declarada, para incicializarla

    if (session_status() === PHP_SESSION_NONE) {

      session_start();

    }

    if(empty($_SESSION['login_appquadrata'])){

        echo"<script language='javascript'>window.location='../../../login'</script>;";

        exit();

    }



/*inicializamos valores para la configuracion del template*/

$setting_template='../../../settings_template.txt';

$variables=[];

$_Color='';

$_Template='';

$_Theme_Template='';

$_Css='';

$_Js='';

$_Css_Version='';

$_Js_Version='';

if (file_exists($setting_template)) {

    $lines = file($setting_template, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);

    foreach ($lines as $line) {

        list($nombre_variable, $valor) = explode('=', $line);

        $variables[$nombre_variable] = $valor;

    }

    /*recogemos los valores de las variables*/

    if (isset($variables['Color'])) {

        $_Color = $variables['Color'];



        //echo "El color es: $_Color";

    }

    if (isset($variables['Template'])) {

        $_Template = $variables['Template'];

        //echo "El Template es: $_template";

    }

    if (isset($variables['Theme_Template'])) {

        $_Theme_Template = $variables['Theme_Template'];

        //echo "El Theme_Template es: $_Theme_Template";

    }

    if (isset($variables['css'])) {

        $_Css = $variables['css'];

        //echo "El css es: $_Css";

    }

    if (isset($variables['js'])) {

        $_Js = $variables['js'];

        //echo "El js es: $_Js";

    }



    if (isset($variables['Rows_Columns'])) {

        $_Rows_Columns = $variables['Rows_Columns'];

    }else{

        $_Rows_Columns=4;

    }

    if (isset($variables['css_version'])) {

        $_Css_Version = $variables['css_version'];

        //echo "El css es: $_Css";

    }

    if (isset($variables['js_version'])) {

        $_Js_Version = $variables['js_version'];

        //echo "El js es: $_Js";

    }

}

/*terminan valores de configuracion pára el template*/

?>

<html  style="background-color: rgb(241, 245, 249);"  lang="es" class="<?php if($_Color!=''){ echo 'theme-user'; }else{ echo $_Theme_Template; }?>">

<meta http-equiv='Content-Type' content='text/html; charset=ISO-8859-1'>

<meta name='description' content='Información sobre contenido de tu pagina'>

<meta name='keywords' content='aqui van los tags para ser encontrados por los boots de google ejemplo fibora,ti hyper solutions'>

<head>



<?php

    //Declaramos la variable time, para que al modificar un archivo, este no se guarde en cache y se vizualicen los cambios

    $time_log_assets=time();

    include('../../path.php');

?>

    <!--<link href='https://netdna.bootstrapcdn.com/bootstrap/3.1.0/css/bootstrap.min.css' rel='stylesheet'> se comento esta linea porque altera el estilo del formulario-->

    <!-- Incluir SweetAlert2 CSS -->

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sweetalert2@11/dist/sweetalert2.min.css">

    <script src='https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.js'></script>

    <meta name="viewport" content="width=device-width,initial-scale=1">

    <!-- BEGIN: CSS Assets-->

    <link rel="stylesheet" href="../../../dist/css/<?=$_Css;?>?time=<?=$_Css_Version;?>" />

    <link rel="stylesheet" href="../../../dist/css/app_style.css?time=<?=$_Css_Version;?>" />

    <!-- END: CSS Assets-->

    <script src="../../../dist/js/noback.js?time=<?=$_js_Version;?>" type="text/javascript"></script>

    <!--Comienza plugins JTABLE--->

    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

    <!--Termina plugins JTABLE--->

    <!---llamamos la libreria de tinymce--->

    <script defer src="../../../dist/tinymce/tinymce/main.js?time=<?=$_Js_Version;?>"></script>

    <link rel="stylesheet" href="../../../dist/tinymce/tinymce/estilos.css?time=<?=$_Css_Version;?>" />

    <script src="../../../dist/tinymce/tinymce/tinymce.min.js?time=<?=$_Js_Version;?>" referrerpolicy="origin"></script>

    <!---Terminamos de agregar editor tinymce--->



    <!---incluimos dependencias para el select con buscador-->

    <script src="https://code.jquery.com/jquery-3.7.1.js" integrity="sha256-eKhayi8LEQwp4NKxN+CfCh+3qOVUtJn3QNZ0TciWLP4=" crossorigin="anonymous"></script>

    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />

    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

    <!--termina dependencias para el select con buscador--->

<?php



$action=!empty($_REQUEST['action'])?$_REQUEST['action']:'editar';

$Id_Loginr=!empty($_REQUEST['Id_Loginr_appquadrata'])?$_REQUEST['Id_Loginr_appquadrata']:$_SESSION['IdLoginr_appquadrata'];

$Id_Usuarior='';

$_ScrollTo='';

$pagina='';

$Id_Usuario='';

$Id_Fk_Login='';

$Usu_Img_Perfil='';

$Usu_Nombre='';

$Usu_Apaterno='';

$Usu_Amaterno='';

$Usu_Fecha_Nacimiento='';

$Id_Fk_Rol='';

$Titulo_Rol_Fk='';

$Usu_Correo='';

$Usu_Telefono='';

$Usu_Password='';

$Usu_Password_Encrypt='';

$Usu_Activo='';

$Usu_Cuenta_Verificada='';

$Descripcion='';

$Fecha_Registro='';

$Fecha_Modifico='';



switch ($action) {

    case 'editar':



        echo"<TITLE>Editar usuario</TITLE>";

        break;



    default:

        echo"<TITLE>Registrar usuario</TITLE>";

        break;

}



require_once(ROOT_CHARACTER_FIX);

$Obj_fix_characters = new fix_characters();

$_Id_Loginr=0;

require_once(ROOT_CONFIG);  

$Odbj_conexion = new odbconexion;

$conexion=$Odbj_conexion->openconection();

$consulta="SELECT * FROM usuario_appquadrata JOIN login_appquadrata ON usuario_appquadrata.Usu_Correo=login_appquadrata.Login_Correo WHERE login_appquadrata.IdLoginr='$Id_Loginr'";

$Array_adapter_usuario=$conexion->query($consulta);

$conexion->close();

while($field_usuario=$Array_adapter_usuario->fetch_assoc())

{

  $Id_Usuarior=$field_usuario['Id_Usuarior'];

   $Usu_Img_Perfil=$field_usuario['Usu_Img_Perfil'];

   $Usu_Nombre=$field_usuario['Usu_Nombre'];

   $Usu_Apaterno=$field_usuario['Usu_Apaterno'];

   $Usu_Amaterno=$field_usuario['Usu_Amaterno'];

   $Usu_Fecha_Nacimiento=$field_usuario['Usu_Fecha_Nacimiento'];

   $Id_Fk_Rol=$field_usuario['Id_Fk_Rol'];

   $Titulo_Rol_Fk=$field_usuario['Titulo_Rol_Fk'];

   $Usu_Correo=$field_usuario['Usu_Correo'];

   $Usu_Telefono=$field_usuario['Usu_Telefono'];

   $Usu_Password=$field_usuario['Usu_Password'];

   $Usu_Password_Encrypt=$field_usuario['Usu_Password_Encrypt'];

   $Usu_Activo=$field_usuario['Usu_Activo'];

   $Usu_Cuenta_Verificada=$field_usuario['Usu_Cuenta_Verificada'];

   $Descripcion=$field_usuario['Descripcion'];

   $Fecha_Registro=$field_usuario['Fecha_Registro'];

   $Fecha_Modifico=$field_usuario['Fecha_Modifico'];

   

}



if(!empty($_SESSION['appUrlMenu_appquadrata'])){

  $appUrl=$_SESSION['appUrlMenu_appquadrata'];

} else{

    $appUrl='';

}



$Contenido_Inicio='';

$Modulo_Inicio='';

 try{    

  $Odbj_conexion = new odbconexion;

  $conexion=$Odbj_conexion->openconection();

  $consulta="SELECT * FROM configuracion_app_appquadrata";

  $Array_adapter_config=$conexion->query($consulta);

  $conexion->close();

  while($Field_config=$Array_adapter_config->fetch_assoc())

  {   

      $Contenido_Inicio=$Field_config['Contenido_Inicio'];

      $Modulo_Inicio=$Field_config['Modulo_Inicio'];

  }

}catch (Exception $e) {

      echo 'Excepcion capturada: ',  $e->getMessage(), "

                  ";

}

  $LocationAnterior='';

  if($appUrl=='' || $appUrl=='inicio'){ if($Contenido_Inicio=='Imagen') { $LocationAnterior= 'inicio/vista/imagen.php'; }else{ $LocationAnterior= $Modulo_Inicio; } }else{ $LocationAnterior= $appUrl; }



?>    

<script language='JavaScript'> 

var statSend = false;

function checkSubmit() {

    if (!statSend) {

        statSend = true;

        return true;

    } else {

        alert('La Informaci\u00F3n ya se est\u00E1 enviando, por favor espere...');

        return false;

    }

}

</script> 

<style>

    ::-webkit-scrollbar {

        display: none;

    }

     .btn-navigation-registers{



      background: none;

      border: 0;

      color: inherit;

      /* cursor: default; */

      font: inherit;

      line-height: normal;

      overflow: visible;

      padding: 0;

        -webkit-user-select: none; /* for button */

        -webkit-appearance: button; /* for input */

        -moz-user-select: none;

        -ms-user-select: none;

    }



    @media (min-width:1025px){

        .card-center-p14{

            padding-right:19.25rem;

            padding-left:19.25rem;

        }

    }

    @media (max-width:1024px){



        .card-center-p14{

           padding-right:1.25rem

           padding-left:1.25rem;

        }

    }

</style>

   

</head>



<body onload="noback();">

<center>

<!-- MODAL loadign -->

    <div id="loadingpage" style="position: fixed;

        top: 0px;

        left: 0px;

        width: 100%;

        height: 100%;

        z-index: 10000;

        background-color: rgba(0, 0, 0, 0.9);display: none">

    <div  class="loader" >

    <ul class="hexagon-container">

        <li class="hexagon hex_1"></li>

        <li class="hexagon hex_2"></li>

        <li class="hexagon hex_3"></li>

        <li class="hexagon hex_4"></li>

        <li class="hexagon hex_5"></li>

        <li class="hexagon hex_6"></li>

        <li class="hexagon hex_7"></li>

      </ul>

    </div>

        </div>  

    <!-- fin loading page -->



  <?php

                     

       

    //Comienza form del formulario

echo "<div class='intro-y box form-box'>";

    

    switch ($action) {

    case 'editar':

        echo "

            <div class='flex items-center p-5 border-b border-slate-200/60 dark:border-darkmode-400'>

                <h2 class='font-medium text-base mr-auto'>

                    EDITAR CONTRASEÑA

                </h2>";

        echo "</div>";

        break;

    

    default:

        echo"

            <div class='flex items-center p-5 border-b border-slate-200/60 dark:border-darkmode-400'>

                <h2 class='font-medium text-base mr-auto'>

                    REGISTRAR PERFIL

                </h2>

            </div>";

        break;

    }



    switch($_Rows_Columns){

        case 1:

        $cols_columns=12;

        break;

        case 2:

        $cols_columns=12;

        break;

        case 3:

        $cols_columns=12;

        break;

        case 4:

        $cols_columns=12;

        break;

        default:

        $cols_columns=12;

        break;



    }



    echo "<div class='p-5  card-center-p14'>

            <form name='registrar' id='frm_usuario' onsubmit='validarFrm();' action='../bussines/guardar.php' method='Post' enctype='multipart/form-data'>      

            <div class='grid grid-cols-12 gap-x-5'>

                <div class='col-span-12 xl:col-span-12'>";

                    echo "<input type='hidden' name='Id_Loginr' value='$Id_Loginr'>";

                    echo "<input type='hidden' name='Id_Usuarior' value='$Id_Usuarior'>";

                    echo "<div class='grid grid-cols-12 gap-x-5'>";

                                echo " 

                                <input id='Usu_Password_Actual' value='$Usu_Password' type='hidden' class='form-control'>

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns'>

                                    <label for='update-profile-form-7' class='form-label'>Contraseña Actual: </label>

                                    <input id='Usu_Password_Actual_Verificar' value='' type='password' class='form-control' onkeyup='VerificarPassword(this.value)' required>

                                    <p style='color:red;display:none;'  id='errorPassword'>La contraseña ingresada no coincide</p>

                                </div>";

                                echo " 

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns'>

                                    <label for='update-profile-form-7' class='form-label'>Nueva Contraseña: </label>

                                    <input id='Usu_Password' name='Usu_Password' value='' type='password' class='form-control' disabled required>

                                </div>";

                                echo " 

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns'>

                                    <label for='update-profile-form-7' class='form-label'>Confirmar Contraseña: </label>

                                    <input id='Usu_Password_Confirm' name='Usu_Password_Confirm' value='' type='password' class='form-control' disabled required>

                                </div>";

                echo "</div>";                                   

echo "              

                </div>

            </div>";

        

        echo "<div class='flex justify-end mt-4'>

                    <input type='hidden' name='action' id='action' value='editar-cuenta'>

                    <a href='../../$LocationAnterior' class='btn btn-danger w-20 mr-auto'> Cancelar</a>

                    <button type='submit' class='btn btn-primary flex items-center'>Guardar</button>

                    <!--<button type='button' onclick='validarFrm();' class='btn btn-primary flex items-center'>Guardar</button>-->

                </div>";    

            

echo "  </form>

        </div>

    </div>";





    //Termina form del formulario

?>



<!-- Incluir SweetAlert2 JS -->

<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

<script type="text/javascript">

function validarFrm(){

    var pass=document.getElementById('Usu_Password_Actual').value;

    var pass_verificar=document.getElementById('Usu_Password_Actual_Verificar').value;

    var pass1=document.getElementById('Usu_Password').value;

    var pass2=document.getElementById('Usu_Password_Confirm').value;

    if(pass!='' && pass!=pass_verificar){

            //alert("Ingrese la constraseña");

             Swal.fire({

                icon: 'warning',

                title: '',

                text: 'La contraseña ingresada, no coincide!.',

                confirmButtonText: 'Aceptar',

                confirmButtonColor: '#3085d6'

            });

         event.preventDefault();

    }else if(pass1==''){

            //alert("Ingrese la constraseña");

             Swal.fire({

                icon: 'warning',

                title: '',

                text: 'Ingrese la constraseña',

                confirmButtonText: 'Aceptar',

                confirmButtonColor: '#3085d6'

            });

         event.preventDefault();

    }else if(pass1!='' && pass1!=pass2){

        //alert("Verifique sus constraeñas");

        Swal.fire({

            icon: 'warning',

            title: '',

            text: 'Verifique sus constraeñas',

            confirmButtonText: 'Aceptar',

            confirmButtonColor: '#3085d6'

        });

        event.preventDefault();

    }else{

        loadingpage();

        return true;

        //document.getElementById("frm_usuario").submit();

    }

}

</script>

    <script type="text/javascript">

  window.onload=function(){

    parent.document.getElementById('loadingpage').style.display='none';

  }



  function loadingpage(){

      parent.document.getElementById('loadingpage').style.display='block';                     

   }

</script>

<script>

    function validarNumero(event) {

        // Obtener la tecla presionada

        var tecla = event.which || event.keyCode;



        // Permitir solo números y ciertas teclas especiales (borrar, flechas, etc.)

        if ((tecla >= 48 && tecla <= 57) || tecla == 8 || (tecla >= 37 && tecla <= 40)) {

            return true; // Permitir la entrada

        } else {

            return false; // Bloquear la entrada

        }

    }

</script>



<script type="text/javascript">

    function validarTelefono(id,value){



        if(value!=''){

            $.ajax({

                url: '../bussines/ajax.php', // Ruta del archivo PHP que realizará la validación del correo

                method: 'POST',

                data: {action:'validar-telefono', telefono: value,id:id }, // Datos que se enviarán al servidor

                success: function(response) {

                    if(response>0){

                        document.getElementById('required_telefono_user').style.display='block';

                        document.getElementById('required_telefono_user').innerText='El teléfono ingresado, se ecuentra asociado a una cuenta!';

                    }else{

                        document.getElementById('required_telefono_user').style.display='none';

                        document.getElementById('required_telefono_user').innerText='';

                    }

                }

            });

        }

    }



    function validarCorreo(id,value){

        if(value!=''){

            $.ajax({

                url: '../bussines/ajax.php', // Ruta del archivo PHP que realizará la validación del correo

                method: 'POST',

                data: { action:'validar-correo',correo: value,id:id }, // Datos que se enviarán al servidor

                success: function(response) {

                    if(response>0){

                        document.getElementById('required_correo_user').style.display='block';

                        document.getElementById('required_correo_user').innerText='La dirección de correo ingresada, se ecuentra asociada a una cuenta!';

                    }else{

                        document.getElementById('required_correo_user').style.display='none';

                        document.getElementById('required_correo_user').innerText='';

                    }

                }

            });

        }

    }

    

    function VerificarPassword(password){

        if(password==document.getElementById('Usu_Password_Actual').value){

            document.getElementById('Usu_Password').removeAttribute('disabled');

            document.getElementById('Usu_Password_Confirm').removeAttribute('disabled');

            document.getElementById('errorPassword').style.display='none';

        }else{

            document.getElementById('Usu_Password').setAttribute('disabled', 'disabled');

            document.getElementById('Usu_Password_Confirm').setAttribute('disabled', 'disabled');

            document.getElementById('errorPassword').style.display='block';

        }

    }

</script>  

</center>

</body>

</html>

    